Skip to main content
GET
Get events

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

take
number | null
default:50
Required range: 0 <= x <= 100
skip
number | null
default:0
Required range: x >= 0
order
enum<string>
default:desc

Sort direction.

Available options:
asc,
desc
Example:

"desc"

sort
enum<string>

Field used to sort the results.

Available options:
timestamp
event_type
string
required

Event type to filter by

Example:

"api_call"

customer_id
string

Filter by customer ID

Example:

"cus_xyz789"

record_id__in
string

Filter by record ID. Supports comma-separated list for multiple records.

Example:

"rec_123"

timestamp_gte
string<date-time>

Filter events with timestamp greater than or equal to this ISO8601 date.

Example:

"2024-01-01T00:00:00Z"

timestamp_lte
string<date-time>

Filter events with timestamp less than or equal to this ISO8601 date.

Example:

"2024-01-31T23:59:59Z"

Response

200 - application/json
meta
object
required
data
object[]
required

List of Event.